Bug 109148 - [games/pydance] sdl_ttf font.render problem; patch appended
Summary: [games/pydance] sdl_ttf font.render problem; patch appended
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-14 02:10 UTC by Hannes Frederic Sowa
Modified: 2007-03-18 14:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hannes Frederic Sowa 2007-02-14 02:10:17 UTC
when installing games/pydance via ports it breaks right after start with an error-message: SDL_ttf render failed

Fix: just put the appended patch in games/pydance/files/patch-fontfx.py



def textHollow(self, font, message, fontcolor):
-    base = font.render(message, 0, fontcolor, self.notcolor)
+    base = font.render(message, True, fontcolor, self.notcolor)
     size = base.get_width() + 2, base.get_height() + 2
     img = pygame.Surface(size, 16)
     img.fill(self.notcolor)--04CvzvOzvarvaq1090957i7SRuaGg6K4OiQZz7YhJTIe7Ye2
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- fontfx.py.orig      Wed Feb 14 02:45:59 2007
+++ fontfx.py   Wed Feb 14 02:50:23 2007
@@ -144,7 +144,7 @@
     self.bgcolor = bgcolor
     self.offcolor = [c^40 for c in color]
     self.notcolor = [c^0xFF for c in color]
-    self.text = font.render(message, False, [255, 0, 0], self.notcolor)
+    self.text = font.render(message, True, [255, 0, 0], self.notcolor)
     self.text.set_colorkey(1, RLEACCEL)
     self.outline = self.textHollow(font, message, color)
     self.bar = pygame.Surface(self.text.get_size())
@@ -155,7 +155,7 @@
     self.ratio = width / 100.0
How-To-Repeat: just start pydance
Comment 1 Edwin Groothuis freebsd_committer 2007-02-14 02:10:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Pav Lucistnik freebsd_committer 2007-03-14 17:36:11 UTC
State Changed
From-To: feedback->open

Maintainer timeout
Comment 3 dfilter service freebsd_committer 2007-03-18 14:42:28 UTC
arved       2007-03-18 14:42:24 UTC

  FreeBSD ports repository

  Modified files:
    games/pydance        Makefile 
  Added files:
    games/pydance/files  patch-fontfx.py 
  Log:
  Fix runtime issue:
  "SDL_ttf render failed"
  
  PR:             109148
  Submitted by:   Hannes Frederic Sowa
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.12      +1 -0      ports/games/pydance/Makefile
  1.1       +21 -0     ports/games/pydance/files/patch-fontfx.py (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Tilman Keskinoz freebsd_committer 2007-03-18 14:42:40 UTC
State Changed
From-To: open->closed

committed, thanks!